import request from '@/utils/request'

// 查询区块信息列表
export function listJtdzQkxx(query) {
  return request({
    url: '/jtdz/jtdzQkxx/list',
    method: 'get',
    params: query
  })
}

// 查询区块信息详细
export function getJtdzQkxx(id) {
  return request({
    url: '/jtdz/jtdzQkxx/' + id,
    method: 'get'
  })
}

// 新增区块信息
export function addJtdzQkxx(data) {
  return request({
    url: '/jtdz/jtdzQkxx',
    method: 'post',
    data: data
  })
}

// 修改区块信息
export function updateJtdzQkxx(data) {
  return request({
    url: '/jtdz/jtdzQkxx',
    method: 'put',
    data: data
  })
}

// 删除区块信息
export function delJtdzQkxx(id) {
  return request({
    url: '/jtdz/jtdzQkxx/' + id,
    method: 'delete'
  })
}
